Name: libdb2
Version: 2.4.14
Release: alt2

Summary: Berkeley database library
License: BSD
Group: System/Libraries
Url: http://www.sleepycat.com/
Packager: Berkeley DB Development Team <db@packages.altlinux.org>

# http://www.sleepycat.com/update/2.7.7/db-2.7.7.tar.gz
# Taken from glibc 2.1.3
Source: db2-glibc-2.1.3.tar.bz2

# Patch to make it standalone
Patch1: db2-glibc-2.1.3.patch
Patch2: db2-2.4.14-db2.patch
Patch3: db2-2.4.14-s390.patch
Patch4: db2-2.4.14-nodebug.patch

Provides: libdb2.so.3, db2 = %version
Obsoletes: db2
Conflicts: glibc < 2.1.90

%package -n db2-utils
Summary: Command line tools for managing Berkeley DB databases
Group: Databases
Requires: %name = %version-%release

%package devel
Summary: Development environment for Berkeley DB
Group: Development/C
Requires: %name = %version-%release, db2-utils = %version-%release
Provides: db2-devel = %version
Obsoletes: db2-devel
Conflicts: glibc-devel < 2.1.90, db3-devel < 3.3.11

%package devel-static
Summary: Static library for Berkeley DB
Group: Development/C
Provides: db2-devel-static = %version
Obsoletes: db2-devel-static
Requires: %name-devel = %version-%release
Requires: glibc-devel-static

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.

This library used to be part of the glibc package.
Since glibc-2.1.90, it is independent package.

%description -n db2-utils
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.

This package contains command line tools for managing Berkeley DB databases.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
Berkeley DB includes B tree, Hashing, Fixed and Variable-length
record access methods.

This package contains the header files, libraries, and documentation for
building programs which use Berkeley DB.

%description devel-static
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
Berkeley DB includes B tree, Hashing, Fixed and Variable-length
record access methods.

This package contains the static library required for building statically linked
programs which use Berkeley DB.

%prep
%setup -q -n db2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{/lib,%_bindir,%_libdir,%_includedir/db2}

install -p -m755 %name.so.3 $RPM_BUILD_ROOT/lib/%name.so.3
install -p -m644 %name.a $RPM_BUILD_ROOT%_libdir/%name.a
ln -sf %name.so.3 $RPM_BUILD_ROOT/lib/libdb.so.3
ln -sf /lib/%name.so.3 $RPM_BUILD_ROOT%_libdir/%name.so
ln -sf %name.so $RPM_BUILD_ROOT%_libdir/libndbm.so
ln -sf %name.a $RPM_BUILD_ROOT%_libdir/libndbm.a

install -p -m644 db.h db_185.h $RPM_BUILD_ROOT%_includedir/db2
ln -s db2/db_185.h $RPM_BUILD_ROOT%_includedir
for p in db_{archive,checkpoint,deadlock,dump,load,printlog,recover,stat}; do
	install -p -m755 $p $RPM_BUILD_ROOT%_bindir/${p/db_/db2_}
done

%post -p %post_ldconfig_sys
%postun -p %postun_ldconfig

%files
/lib/*.so.*
%doc README LICENSE

%files -n db2-utils
%_bindir/*

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Mon Sep 02 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.14-alt2
- Updated %post/%postun scripts.
- Updated devel-static requirements.

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.14-alt1
- Moved db2 utilities to utils subpackage.
- Renamed library subpackages.
- Included %_includedir/db_185.h symlink to %name-devel subpackage.
- Added explicit provides for libdb2.so.3
- Built without explicit "-g" option (rh).

* Wed Jun 20 2001 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.14-ipl4mdk
- devel-static subpackage
- synced with Mandrake 2.4.14-2mdk

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.14-ipl3mdk
- Enabled LFS support.

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.14-ipl2mdk
- Rebuilt with glibc-2.1.94 & gcc-2.96.
- Defined _noVersionedDependencies.
- Automatically added BuildRequires.

* Fri Aug 18 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.14-ipl1mdk
- RE and Fandra adaptions.

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- regenerated the db2.patch to link against -ldb2, not -ldb

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- Rename files (like db1) to prepare for db3 deployment.
- Change version to reflect Berkeley db rather than glibc distribution.

* Thu Apr 27 2000 Jakub Jelinek <jakub@redhat.com>
- Don't provide makedb, it is provided by glibc.

* Wed Apr 20 2000 Jakub Jelinek <jakub@redhat.com>
- Create.
